#
# spec file for package ht2html (Version 2.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ht2html
BuildRequires:  ant python-devel xml-commons-apis java-1_7_0-openjdk-devel
%define	name	ht2html
%define version	2.0
%define release	1jpp
Version:        2.0
Release:        295.2
Url:            http://ht2html.sourceforge.net
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.bz2
License:        Python-2.0
Group:          Development/Tools/Other
Summary:        The www.python.org Web Site Generator
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
ht2html is a simple Web page templating system that defines a format
and provides a set of Python scripts for creating a simple, but
consistent Web site.

All pages include a left corner logo, a sitewide site links top bar,
and a directory-specific side.

The script is called ht2html because it generates .html files from .ht
template files. The format of these .ht files is essentially usual
HTML, with a set of optional RFC 2822-like headers at the top of the
file. These headers specify certain options that ht2html's various
classes support. Python 2.0 or newer is required.



Authors:
--------
    Barry Warsaw

%prep
%setup -q
bzcat %{SOURCE1} > %{name}

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 calcroot.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 ht2html.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 BAWGenerator.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 Banner.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 HTParser.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 IPC8Generator.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 JPyGenerator.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 JPyLocalGenerator.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 LinkFixer.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 PDOGenerator.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 SelfGenerator.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 Sidebar.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 Skeleton.py $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 StandardGenerator.py $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/*.{html,png}
%{_datadir}/%{name}
%{_bindir}/*

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 20 2005 jsmeix@suse.de
- Current version 2.0 from JPackage.org
